GameScreen.textures_path = "graphics/screens/28_cloakroom/zoom/"

function GameScreen:RestoreScene()  
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    SoundPlay("sound/chief_door_open_02.ogg")
    
    self:RestoreScene()   
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
	ItemSetOpacity("back_trigger", 0.4)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "corset_zoom", "graphics/screens/28_cloakroom/zoom/corset_zoom", 348, 96);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "corset_shadow", "graphics/screens/28_cloakroom/zoom/corset_shadow", 676, 238);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "corset", "graphics/screens/28_cloakroom/zoom/corset_part", 727, 255);
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_close", "graphics/interface/hud/continue_zoom", 667, 892);

	clScreenManager:add_screen("hud") 
end
